Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Interface AuthenticationProvider

All Superinterfaces:
  SecurityProvider

public interface AuthenticationProvider
extends SecurityProvider

The `AuthenticationProvider` interface exposes the services provided by an Authentication provider to the WebLogic Security Framework. This allows the Authentication provider to be manipulated (initialized, started, stopped, and so on).

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`AppConfigurationEntry` | `getAssertionModuleConfiguration()` Gets the `AppConfigurationEntry` for the associated Identity Assertion provider's JAAS `LoginModule`.
`IdentityAsserter` | `getIdentityAsserter()` Gets this Authentication provider's associated Identity Assertion provider.
`AppConfigurationEntry` | `getLoginModuleConfiguration()` Gets the `AppConfigurationEntry` for this Authentication provider's JAAS `LoginModule`.
`PrincipalValidator` | `getPrincipalValidator()` Gets this Authentication provider's associated Principal Validation provider.

Methods inherited from interface weblogic.security.spi.SecurityProvider
`getDescription, initialize, shutdown`

Method Detail

### getAssertionModuleConfiguration

    public AppConfigurationEntry getAssertionModuleConfiguration()

  Gets the `AppConfigurationEntry` for the associated Identity Assertion provider's JAAS `LoginModule`.

  Note that the `assertIdentity()` method of an Identity Assertion provider is called every time identity assertion occurs, but the LoginModules may not be called if the Subject is cached. The `-Dweblogic.security.identityAssertionTTL` flag can be used to affect this behavior (for example, to modify the default TTL of 5 minutes or to disable the cache by setting the flag to 0).

  It is the responsibility of the Identity Assertion provider to ensure not just that the token is valid, but also that the user is still valid (for example, the user has not been deleted).

  Returns:
    the JAAS configuration specific to an Identity Assertion provider that is needed to properly execute identity assertion in this security realm.

### getIdentityAsserter

    public IdentityAsserter getIdentityAsserter()

  Gets this Authentication provider's associated Identity Assertion provider.

  Returns:
    an Identity Assertion provider.

### getLoginModuleConfiguration

    public AppConfigurationEntry getLoginModuleConfiguration()

  Gets the `AppConfigurationEntry` for this Authentication provider's JAAS `LoginModule`.

  Returns:
    the JAAS configuration specific to this Authentication provider that is needed to properly execute login authentication in this security realm.

### getPrincipalValidator

    public PrincipalValidator getPrincipalValidator()

  Gets this Authentication provider's associated Principal Validation provider.

  Returns:
    a Principal Validation provider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD